jackrabbit-oak-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Julian Reschke (JIRA)" <j...@apache.org>
Subject [jira] [Assigned] (OAK-6730) oak-core/src/main/java/org/apache/jackrabbit/oak/spi/security/CompositeConfiguration.java does not compile with jdk 9
Date Fri, 29 Sep 2017 10:10:10 GMT

     [ https://issues.apache.org/jira/browse/OAK-6730?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Julian Reschke reassigned OAK-6730:
-----------------------------------

    Assignee: Julian Reschke

> oak-core/src/main/java/org/apache/jackrabbit/oak/spi/security/CompositeConfiguration.java
does not compile with jdk 9
> ---------------------------------------------------------------------------------------------------------------------
>
>                 Key: OAK-6730
>                 URL: https://issues.apache.org/jira/browse/OAK-6730
>             Project: Jackrabbit Oak
>          Issue Type: Bug
>          Components: core
>    Affects Versions: 1.7.8
>            Reporter: Julian Reschke
>            Assignee: Julian Reschke
>         Attachments: OAK-6730.diff
>
>
> {noformat}
> [ERROR] COMPILATION ERROR :
> [INFO] -------------------------------------------------------------
> [ERROR] /C:/projects/apache/oak/trunk/oak-core/src/main/java/org/apache/jackrabbit/oak/spi/security/CompositeConfiguration.java:[199,36]
incompatible types: inference variable T has incompatible bounds
>     upper bounds: java.lang.Iterable<? extends capture#1 of ? extends org.apache.jackrabbit.oak.spi.commit.CommitHook>,java.lang.Object
>     lower bounds: java.util.List<? extends org.apache.jackrabbit.oak.spi.commit.CommitHook>
> [ERROR] /C:/projects/apache/oak/trunk/oak-core/src/main/java/org/apache/jackrabbit/oak/spi/security/CompositeConfiguration.java:[210,36]
incompatible types: inference variable T has incompatible bounds
>     upper bounds: java.lang.Iterable<? extends capture#2 of ? extends org.apache.jackrabbit.oak.spi.commit.ValidatorProvider>,java.lang.Object
>     lower bounds: java.util.List<? extends org.apache.jackrabbit.oak.spi.commit.ValidatorProvider>
> [ERROR] /C:/projects/apache/oak/trunk/oak-core/src/main/java/org/apache/jackrabbit/oak/spi/security/CompositeConfiguration.java:[227,36]
incompatible types: inference variable T has incompatible bounds
>     upper bounds: java.lang.Iterable<? extends capture#3 of ? extends org.apache.jackrabbit.oak.spi.xml.ProtectedItemImporter>,java.lang.Object
>     lower bounds: java.util.List<? extends org.apache.jackrabbit.oak.spi.xml.ProtectedItemImporter>
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message